<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html">
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
       
        <h:form>
            
            <h:inputHidden value="#{generoBean.genero.id}" />
            
            <h:messages id="msg" />
            <h:panelGrid columns="2">
                <h:outputLabel for="id" value="Código" />
                <h:inputText 
                    id="id" value="#{generoBean.genero.id == 0 ? '' : generoBean.genero.id}"
                    readonly="true"
                             style="width: 80px;" />
                <h:outputLabel for="descricao" value="Descrição" />
                <h:inputText id="descricao" value="#{generoBean.genero.descricao}"
                             required="true" requiredMessage="Campo descrição é obrigatorio!" />
                <h:panelGroup >
                    <h:commandButton value="Salvar" action="#{generoBean.salvar}" />
                    <h:commandButton value="Cancelar" action="#{generoBean.novo}" />
                </h:panelGroup>
            </h:panelGrid>
            
             <h:dataTable var="genero" value="#{generoBean.lista}">
                <h:column >#{genero.id}</h:column>
                <h:column>#{genero.descricao}</h:column>
            </h:dataTable>
            
        </h:form>
        
        
        
        
    </h:body>
</html>

